
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the K8055DLL_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// K8055DLL_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
//
#ifdef linux
#define K8055DLL_API
#else
#ifdef K8055DLL_EXPORTS
#define K8055DLL_API __declspec(dllexport)
#else
#define K8055DLL_API __declspec(dllimport)
#endif
#endif

#ifdef __cplusplus
extern "C" {
#endif

K8055DLL_API long OpenDevice(long);
K8055DLL_API void CloseDevice(void);
K8055DLL_API long ReadAnalogChannel(long);
K8055DLL_API void ReadAllAnalog(long*, long*);
K8055DLL_API void OutputAnalogChannel(long, long);
K8055DLL_API void OutputAllAnalog(long, long);
K8055DLL_API void ClearAnalogChannel(long);
K8055DLL_API void ClearAllAnalog(void);
K8055DLL_API void SetAnalogChannel(long);
K8055DLL_API void SetAllAnalog(void);
K8055DLL_API void WriteAllDigital(long);
K8055DLL_API void ClearDigitalChannel(long);
K8055DLL_API void ClearAllDigital(void);
K8055DLL_API void SetDigitalChannel(long);
K8055DLL_API void SetAllDigital(void);
K8055DLL_API int ReadDigitalChannel(long);
K8055DLL_API long ReadAllDigital(void);
K8055DLL_API void ResetCounter(long);
K8055DLL_API long ReadCounter(long);
K8055DLL_API void SetCounterDebounceTime(long, long);

#ifdef __cplusplus
}
#endif
